Template Numerical Library: TNL::Meshes::MeshEntity< MeshConfig, Device, EntityTopology_ > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Meshes::MeshEntity< MeshConfig, Device, EntityTopology_ > Class Template Reference
Collaboration diagram for TNL::Meshes::MeshEntity< MeshConfig, Device, EntityTopology_ >:
[legend]

## Public Types
using | DeviceType = Device
using | EntityTopology = EntityTopology_
using | GlobalIndexType = typename MeshType::GlobalIndexType
using | LocalIndexType = typename MeshType::LocalIndexType
using | MeshType = Mesh< MeshConfig, Device >
using | PointType = typename MeshType::PointType
template<int Subdimension>
using | SubentityTraits = typename MeshType::MeshTraitsType::template SubentityTraits< EntityTopology, Subdimension >
template<int Superdimension>
using | SuperentityTraits = typename MeshType::MeshTraitsType::template SuperentityTraits< EntityTopology, Superdimension >
using | TagType = typename MeshType::MeshTraitsType::EntityTagType

## Public Member Functions
__cuda_callable__ | MeshEntity (const MeshEntity &entity)=default
__cuda_callable__ | MeshEntity (const MeshType &mesh, GlobalIndexType index)
__cuda_callable__ GlobalIndexType | getIndex () const
| Returns the index of this mesh entity.
__cuda_callable__ const MeshType & | getMesh () const
| Returns a reference to the mesh that owns this mesh entity.
__cuda_callable__ PointType | getPoint () const
| Returns the spatial coordinates of this vertex.
template<int Subdimension>
__cuda_callable__ LocalIndexType | getSubentitiesCount () const
| Returns the count of subentities of this entity.
template<int Subdimension>
__cuda_callable__ GlobalIndexType | getSubentityIndex (LocalIndexType localIndex) const
| Returns the global index of the subentity specified by its local index.
template<int Superdimension>
__cuda_callable__ LocalIndexType | getSuperentitiesCount () const
| Returns the count of superentities of this entity.
template<int Superdimension>
__cuda_callable__ GlobalIndexType | getSuperentityIndex (LocalIndexType localIndex) const
| Returns the global index of the superentity specified by its local index.
__cuda_callable__ TagType | getTag () const
| Returns the tag associated with this entity.
__cuda_callable__ bool | operator!= (const MeshEntity &entity) const
__cuda_callable__ MeshEntity & | operator= (const MeshEntity &entity)=default
__cuda_callable__ bool | operator== (const MeshEntity &entity) const

## Static Public Member Functions
static constexpr int | getEntityDimension ()
| Returns the dimension of this mesh entity.

## Protected Attributes
GlobalIndexType | index = 0
const MeshType * | meshPointer = nullptr

## Member Function Documentation

## ◆ getPoint()

template<typename MeshConfig, typename Device, typename EntityTopology_>

__cuda_callable__ PointType TNL::Meshes::MeshEntity< MeshConfig, Device, EntityTopology_ >::getPoint | ( |  | ) | const
| nodiscard

Returns the spatial coordinates of this vertex.

Can be used only when getEntityDimension returns 0.

The documentation for this class was generated from the following files:

- src/TNL/Functions/experimental/MeshFunctionGnuplotWriter.h
- src/TNL/Meshes/MeshEntity.h